!------------------------------------------c
!  Example: Hello                          c
!  All processes print an Hello World      c
!  with its rank                           c
!------------------------------------------c

      program main

      use mpi
      integer ierr,rank,procs

!--- initialize MP                                        ---
      call MPI_INIT(ierr)

!--- get my identifier in standard communicator -------------
      call MPI_COMM_RANK(MPI_COMM_WORLD,rank,ierr)

!--- get the number of processes in standard communicator ---
      call MPI_COMM_SIZE(MPI_COMM_WORLD,procs,ierr)

      print '(a,i3,a,i3)', 'Hello! I am process',rank &
          ,' of ',procs


!--- finalize MPI                                         ---
      call MPI_FINALIZE(ierr)

      end
